#if !defined(_SEModule_h_inc_)
#define _SEModule_h_inc_

#include "E:\SDK2_SE_R\SEModule_base.h"
#include <stdio.h> // files
#include <io.h>

#include <stdlib.h>
#include <string.h>
#include <process.h>
#include <wchar.h>

class Module : public SEModule_base
{
public:
	Module(seaudioMasterCallback2 seaudioMaster, void *p_resvd1);
	~Module();

	static bool getModuleProperties (SEModuleProperties* properties); 
	virtual bool getPinProperties (long index, SEPinProperties* properties);
	void SE_CALLING_CONVENTION sub_process(long buffer_offset, long sampleFrames );
	void OnPlugStateChange(SEPin *pin);
	virtual void OnMidiData( unsigned long p_clock, unsigned long midi_msg, short pin_id);
	void open();
    //ralphs
    void diag(char * melde);
    void loadarray();
	void doaway();
private:
    float *input1_buffer;
	short thru;
	short transpose_ammount;
	short okt;
    short from;
	short addd;
	short afine;


    
    char *text_input;
	
	char *text_output;
	bool admin;
	
	unsigned long midi_msg1;

	#define MAX_FILENAME_LENGTH 400

char path[MAX_FILENAME_LENGTH];
char full_path[MAX_FILENAME_LENGTH];
char smidi_filename[MAX_FILENAME_LENGTH];	
char text_filename[MAX_FILENAME_LENGTH];
char text[MAX_FILENAME_LENGTH];
char mess[MAX_FILENAME_LENGTH];

//SMIDI File out
errno_t err;
FILE *smidifileout;//  = NULL;

bool isnew ;
// diagnose
errno_t err2;
FILE *textfile;// = NULL;

#define PN_MIDI_IN  0
#define PN_REC      1
#define PN_TO       2
#define PN_FROM     3
#define PN_VEL_IN   4
#define PN_OKT      5
#define PN_MIDI_OUT 6
#define PN_MIDI_OUT2 7
#define PN_ECHO 8
#define PN_FINE 9
#define PN_TEXT_OUT 10

#define SYSTEM_MSG		        0xF0
#define NOTE_OFF                0x80
#define NOTE_ON                 0x90

struct LL
{
char thisSEM[100];
};
struct BB
{
	char buffer[1000];
};
};





#endif
